namespace Tagashi_File_Hub.App.Abstractions;

internal class DelegateStartStep : IStartStep
{
    private readonly Func<Task> _asyncDelegate;

    public DelegateStartStep(Func<Task> asyncDelegate)
    {
        _asyncDelegate = asyncDelegate;
    }

    public async Task RunAsync()
    {
        await _asyncDelegate().ConfigureAwait(false);
    }
}